CREATE TABLE vn.smartTag (
	code varchar(100) NOT NULL,
	shelvingFk varchar(10) NULL,
	`level` int(11) NULL,
	CONSTRAINT `PRIMARY` PRIMARY KEY (code)
	)
	ENGINE=InnoDB
	DEFAULT CHARSET=utf8
	COLLATE=utf8_unicode_ci;

ALTER TABLE vn.smartTag MODIFY COLUMN shelvingFk varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL NULL;

ALTER TABLE vn.smartTag ADD CONSTRAINT smartTag_FK FOREIGN KEY (shelvingFk) REFERENCES vn.shelving(code);
